Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-18.txt

From: [email-masked]
Date: Wed, 06 Apr 2022 23:23:14 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Updates
        Authors         : Hendrik Brockhaus
                          David von Oheimb
                          John Gray
	Filename        : draft-ietf-lamps-cmp-updates-18.txt
	Pages           : 70
	Date            : 2022-04-06

Abstract:
   This document contains a set of updates to the syntax and transfer of
   Certificate Management Protocol (CMP) version 2.  This document
   updates RFC 4210, RFC 5912, and RFC 6712.

   The aspects of CMP updated in this document are using EnvelopedData
   instead of EncryptedValue, clarifying the handling of p10cr messages,
   improving the crypto agility, as well as adding new general message
   types, extended key usages to identify certificates for use with CMP,
   and well-known URI path segments.

   To properly differentiate the support of EnvelopedData instead of
   EncryptedValue, the CMP version 3 is introduced in case a transaction
   is supposed to use EnvelopedData.

   CMP version 3 is introduced to enable signaling support of
   EnvelopedData instead of EncryptedValue and signaling the use of an
   explicit hash AlgorithmIdentifier in certConf messages, as far as
   needed.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-updates-18.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-18

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Thu, 7 Apr 2022 06:30:12 +0000

This is the update addressing the comments from the AD review and the discussion at IETF113.

History of Changes
   From version 17 -> 18:
   *  Addressed comments from AD Evaluation (see thread "AD Review of
      draft-ietf-lamps-cmp-updates-17")
   *  Added Section 2.8 to clarify on the usage of GeneralizedTime (see
      thread "draft-ietf-lamps-cmp-updates: fractional seconds")
   *  Updated Section 3.4 introducing the path segment 'p' to indicate
      the following arbitrary label according to the discussion during
      IETF 113 (see thread "/.well-known/brski reference to brski-
      registry")
   *  Capitalized all headlines

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> Gesendet: Donnerstag, 7. April 2022 08:23
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrac
> ker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C0
> acd4bf21255438159b908da185f38bc%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637849094647793541%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000
> &amp;sdata=V39ZlgR4G5uXS0ACef6tjLE47bnw0cDiesdjTup6GcQ%3D&amp;reser
> ved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 18.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C0acd4
> bf21255438159b908da185f38bc%7C38ae3bcd95794fd4addab42e1495d55a%7C
> 1%7C0%7C637849094647793541%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&am
> p;sdata=poesHn6F3MQclFyUzdgnZ5f1BHB1bS2ohouUseQMirk%3D&amp;reserv
> ed=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 18&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C0acd4bf212
> 55438159b908da185f38bc%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C
> 0%7C637849094647793541%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjA
> wMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sda
> ta=DCvpWUFGjk9dnrbO1CTrpj%2FWiuNLyKmhYA78s1uN6UI%3D&amp;reserved
> =0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf
> .org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.brockha
> us%40siemens.com%7C0acd4bf21255438159b908da185f38bc%7C38ae3bcd957
> 94fd4addab42e1495d55a%7C1%7C0%7C637849094647793541%7CUnknown%7
> CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJ
> XVCI6Mn0%3D%7C3000&amp;sdata=Z8wpL0K5ugXaeR1C4It0w9VcYjDfyeL6rxJZ
> KocbVeY%3D&amp;reserved=0